Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We鈥檒l occasionally send you account related emails.

Already on GitHub? Sign in to your account

[Feature] Migrate to @typescript-eslint/parser [0.1] #1716

Closed
molant opened this issue Jan 18, 2019 · 0 comments

Comments

Projects
None yet
2 participants
@molant
Copy link
Member

commented Jan 18, 2019

馃殌 Feature request

Description

The TypeScript team announced that they are going to invest in ESLint to properly lint TypeScript.
Today the ESLint team has announced what that means and one of the outputs is that there will no be more versions of typescript-eslint-parser and that @typescript-eslint/parser should be used instead.

At the moment of opening this issue @typescript-eslint/parser hasn't been published yet.

Hopefully this is as easy as just changing the dependency and updating.

@antross antross added this to the 1902-1 milestone Jan 28, 2019

@molant molant self-assigned this Jan 28, 2019

molant added a commit to molant/hint that referenced this issue Jan 28, 2019

@molant molant referenced this issue Jan 28, 2019

Merged

Chore: Migrate to `@typescript-eslint/parser` #1782

2 of 2 tasks complete

@molant molant closed this in #1782 Jan 28, 2019

molant added a commit that referenced this issue Jan 28, 2019

@molant molant changed the title [Feature] Migrate to @typescript-eslint/parser [Feature] Migrate to @typescript-eslint/parser [0.1] Jan 29, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can鈥檛 perform that action at this time.